Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.util
Class NoDirectoryResolvedFromPatternException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.batchadapter.util.NoDirectoryResolvedFromPatternException

All Implemented Interfaces:
  java.io.Serializable

    public class NoDirectoryResolvedFromPatternException

extends java.lang.Exception

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

See Also:
  Serialized Form

Constructor Summary
`NoDirectoryResolvedFromPatternException()`
`NoDirectoryResolvedFromPatternException(java.lang.String msg)`
`NoDirectoryResolvedFromPatternException(java.lang.String msg, java.lang.Exception e)`
`NoDirectoryResolvedFromPatternException(java.lang.String msg, java.lang.String dirPattern)`

Method Summary
`java.lang.String` | `getDirPattern()`
`void` | `setDirPattern(java.lang.String dirPattern)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoDirectoryResolvedFromPatternException

    public NoDirectoryResolvedFromPatternException()

### NoDirectoryResolvedFromPatternException

    public NoDirectoryResolvedFromPatternException(java.lang.String msg)

### NoDirectoryResolvedFromPatternException

    public NoDirectoryResolvedFromPatternException(java.lang.String msg,
                                                   java.lang.Exception e)

### NoDirectoryResolvedFromPatternException

    public NoDirectoryResolvedFromPatternException(java.lang.String msg,
                                                   java.lang.String dirPattern)

Method Detail

### setDirPattern

    public void setDirPattern(java.lang.String dirPattern)

### getDirPattern

    public java.lang.String getDirPattern()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD